@echo OFF
rem  * *******************************************************************
rem  *               ALTINCE1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ENV1BASE.cmd - provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SIMONOTE.cmd - provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal
rem  *                   or log file.
rem  * *******************************************************************
     call ..\Env1Base
     set CmdName=ALTINCE1
     set JobStatus=0000
rem  *
     call SIMONOTE "*******************************************%CmdName%.cmd"
     call SIMONOTE "Starting JobName %CmdName%.cmd"
rem  *
rem  * Set the environment variable to use the default directives file.
     set DIRGET=%BaseLib1%\DATA\Wrk1
     set DIRPUT=%BaseLib1%\DATA\Wrk2
     set DIRLIST=%BaseLib1%\DATA\Wrk1\SIMOTIME.WORK.ALTINCL1.LST
rem  *
     echo ALTINCT1.CBL >%DIRLIST%
rem  *
     set AOK_Count=0
     set NOK_Count=0
rem  *
rem  *   FLAG-01  Y = Place Idendifier in position 01, ALTINC
rem  *   FLAG-02  Y = Place Identifier in position 73, ALT-INC
rem  *   FLAG-03  Y = Retain comment information from -INC Statement
rem  *   FLAG-**  Remaining flags are reserved for future use
rem  *
     set ALTINCBF=NNYNNNNN
     for /F %%i in (%DIRLIST%) do call ALTINCEZ %%i
rem  *
     call SIMONOTE "AOKcount Compile Count for AOK is %AOK_Count% "
     call SIMONOTE "NOKcount Compile Count for NOK is %NOK_Count% "
     call SIMONOTE "Finished JobName %CmdName%.cmd RC=%JobStatus%"
     if not "%SimoGENS%" == "BATCH" pause
