@echo OFF
rem  * *******************************************************************
rem  *               ALTINCE2.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using ECHO Command.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The first job step (DeleteTEXT) will delete any previously created
rem  * files.
rem  * The second job step (CreateTEXT) will create a new ASCII/Text file.
rem  * The third step will convert the Line Sequential file to a Record
rem  * Sequential file.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
     set CmdName=ALTINCE2
     call ..\ENV1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SIMONOTE "*******************************************************%CmdName%"
     call SIMONOTE "Starting CmdName %CmdName%, User is %USERNAME%"
     call SIMONOTE "StepInfo Delete previously created files"
     set ALTINCT2=%BaseLib1%\DATA\WRK1\ALTINCT1.CBL
rem  *
rem  * *******************************************************************
rem  * Step 1 of 1, Create and populate a new ASCII/TEXT file...
rem  *
     call SIMONOTE "StepInfo Create an ASCII/Text File"
     if exist %ALTINCT2% del %ALTINCT2%
rem  *   :....1....:....2....:....3....:....4....:....5....:....6....:....7.
echo       *****************************************************************>>%ALTINCT2%
echo        IDENTIFICATION DIVISION.                                        >>%ALTINCT2%
echo        PROGRAM-ID.    ALTINCT1.                                        >>%ALTINCT2%
echo        AUTHOR.        SIMOTIME ENTERPRISES.                            >>%ALTINCT2%
echo       *****************************************************************>>%ALTINCT2%
echo        DATA DIVISION.                                                  >>%ALTINCT2%
echo        WORKING-STORAGE SECTION.                                        >>%ALTINCT2%
echo -INC ALTINCB1                                                          >>%ALTINCT2%
echo -INC ALTINCB2        * Second Include Statement                        >>%ALTINCT2%
echo -INC ALTINCB3   **** * Third Include Statement with a line overflow    >>%ALTINCT2%
echo        PROCEDURE DIVISION.                                             >>%ALTINCT2%
echo            DISPLAY ALTINCB1-RECORD                                     >>%ALTINCT2%
echo            DISPLAY ALTINCB2-RECORD                                     >>%ALTINCT2%
echo            DISPLAY ALTINCB3-RECORD                                     >>%ALTINCT2%
echo            GOBACK.                                                     >>%ALTINCT2%
     if exist %ALTINCT2% call SIMONOTE "DataMake %ALTINCT2%"
     if not exist %ALTINCT2% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
:EojAok
     call SIMONOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SIMONOTE "NOTE ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
